using ShipyardContracts.BindingModels;
using ShipyardContracts.SearchModels;
using ShipyardContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardContracts.StoragesContracts
{
    public interface IShipStorage
    {
        List<ShipViewModel> GetFullList();
        List<ShipViewModel> GetFilteredList(ShipSearchModel model);
        ShipViewModel? GetElement(ShipSearchModel model);
        ShipViewModel? Insert(ShipBindingModel model);
        ShipViewModel? Update(ShipBindingModel model);
        ShipViewModel? Delete(ShipBindingModel model);
    }
}
